package kcg.faics.tg.vo;

import java.util.Date;

import org.springframework.web.multipart.MultipartFile;

/**
 * 외사분신운영현황 Value Object.
 * 
 * @author kimnomin
 *
 */
public class DivMngVO {
	/**
	 * 소속.
	 */
	private String place;
	/**
	 * 소속명칭.
	 */
	private String placeStr;
	/**
	 * 소속별 일련번호.
	 */
	private int no;
	/**
	 * 설치장소.
	 */
	private String local;
	/**
	 * 근무형태. 근무형태 i-상주, o-비상주
	 */
	private String gubun = "i";
	/**
	 * 근무형태 표현 문자열.
	 */
	private String gubunStr = "비상주";
	/**
	 * 근무인원.
	 */
	private int staffNum;
	/**
	 * 전화번호.
	 */
	private String tel;
	/**
	 * 현황.
	 */
	private String condition;
	/**
	 * 장비현황.
	 */
	private String equipStat;
	/**
	 * 사진.
	 */
	private String fileImg;
	/**
	 * 사진 객체.
	 */
	private MultipartFile fileImgObj;
	/**
	 * 첨부파일1.
	 */
	private String file1;
	/**
	 * 첨부파일2.
	 */
	private String file2;
	/**
	 * 첨부파일3.
	 */
	private String file3;
	/**
	 * 첨부파일1 객체.
	 */
	private MultipartFile file1obj;
	/**
	 * 첨부파일 2 객체.
	 */
	private MultipartFile file2obj;
	/**
	 * 첨부파일 3 객체.
	 */
	private MultipartFile file3obj;
	/**
	 * 입력일.
	 */
	private Date creDate;
	/**
	 * 수정일.
	 */
	private Date logDate;
	/**
	 * 입력자.
	 */
	private String writer;
	/**
	 * @return the place
	 */
	public final String getPlace() {
		return place;
	}
	/**
	 * @param place the place to set
	 */
	public final void setPlace(final String place) {
		this.place = place;
	}
	/**
	 * @return the placeStr
	 */
	public final String getPlaceStr() {
		return placeStr;
	}
	/**
	 * @param placeStr the placeStr to set
	 */
	public final void setPlaceStr(final String placeStr) {
		this.placeStr = placeStr;
	}
	/**
	 * @return the no
	 */
	public final int getNo() {
		return no;
	}
	/**
	 * @param no the no to set
	 */
	public final void setNo(final int no) {
		this.no = no;
	}
	/**
	 * @return the local
	 */
	public final String getLocal() {
		return local;
	}
	/**
	 * @param local the local to set
	 */
	public final void setLocal(final String local) {
		this.local = local;
	}
	/**
	 * @return the gubun
	 */
	public final String getGubun() {
		return gubun;
	}
	/**
	 * @param gubun the gubun to set
	 */
	public final void setGubun(final String gubun) {
		this.gubun = gubun;
		if ("i".equalsIgnoreCase(this.gubun)) {
			setGubunStr("상주");
		} else {
			setGubunStr("비상주");
		}
	}
	/**
	 * @return the gubunStr
	 */
	public final String getGubunStr() {
		return gubunStr;
	}
	/**
	 * @param gubunStr the gubunStr to set
	 */
	public final void setGubunStr(final String gubunStr) {
		this.gubunStr = gubunStr;
	}
	/**
	 * @return the staffNum
	 */
	public final int getStaffNum() {
		return staffNum;
	}
	/**
	 * @param staffNum the staffNum to set
	 */
	public final void setStaffNum(final int staffNum) {
		this.staffNum = staffNum;
	}
	/**
	 * @return the tel
	 */
	public final String getTel() {
		return tel;
	}
	/**
	 * @param tel the tel to set
	 */
	public final void setTel(final String tel) {
		this.tel = tel;
	}
	/**
	 * @return the condition
	 */
	public final String getCondition() {
		return condition;
	}
	/**
	 * @param condition the condition to set
	 */
	public final void setCondition(final String condition) {
		this.condition = condition;
	}
	/**
	 * @return the equipStat
	 */
	public final String getEquipStat() {
		return equipStat;
	}
	/**
	 * @param equipStat the equipStat to set
	 */
	public final void setEquipStat(final String equipStat) {
		this.equipStat = equipStat;
	}
	/**
	 * @return the fileImgObj
	 */
	public final MultipartFile getFileImgObj() {
		return fileImgObj;
	}
	/**
	 * @param fileImgObj the fileImgObj to set
	 */
	public final void setFileImgObj(final MultipartFile fileImgObj) {
		this.fileImgObj = fileImgObj;
	}
	/**
	 * @return the fileImg
	 */
	public final String getFileImg() {
		return fileImg;
	}
	/**
	 * @param fileImg the fileImg to set
	 */
	public final void setFileImg(final String fileImg) {
		this.fileImg = fileImg;
	}
	/**
	 * @return the file1
	 */
	public final String getFile1() {
		return file1;
	}
	/**
	 * @param file1 the file1 to set
	 */
	public final void setFile1(final String file1) {
		this.file1 = file1;
	}
	/**
	 * @return the file2
	 */
	public final String getFile2() {
		return file2;
	}
	/**
	 * @param file2 the file2 to set
	 */
	public final void setFile2(final String file2) {
		this.file2 = file2;
	}
	/**
	 * @return the file3
	 */
	public final String getFile3() {
		return file3;
	}
	/**
	 * @param file3 the file3 to set
	 */
	public final void setFile3(final String file3) {
		this.file3 = file3;
	}
	/**
	 * @return the file1obj
	 */
	public final MultipartFile getFile1obj() {
		return file1obj;
	}
	/**
	 * @param file1obj the file1obj to set
	 */
	public final void setFile1obj(final MultipartFile file1obj) {
		this.file1obj = file1obj;
	}
	/**
	 * @return the file2obj
	 */
	public final MultipartFile getFile2obj() {
		return file2obj;
	}
	/**
	 * @param file2obj the file2obj to set
	 */
	public final void setFile2obj(final MultipartFile file2obj) {
		this.file2obj = file2obj;
	}
	/**
	 * @return the file3obj
	 */
	public final MultipartFile getFile3obj() {
		return file3obj;
	}
	/**
	 * @param file3obj the file3obj to set
	 */
	public final void setFile3obj(final MultipartFile file3obj) {
		this.file3obj = file3obj;
	}
	/**
	 * @return the creDate
	 */
	public final Date getCreDate() {
		return creDate;
	}
	/**
	 * @param creDate the creDate to set
	 */
	public final void setCreDate(final Date creDate) {
		this.creDate = creDate;
	}
	/**
	 * @return the logDate
	 */
	public final Date getLogDate() {
		return logDate;
	}
	/**
	 * @param logDate the logDate to set
	 */
	public final void setLogDate(final Date logDate) {
		this.logDate = logDate;
	}
	/**
	 * @return the writer
	 */
	public final String getWriter() {
		return writer;
	}
	/**
	 * @param writer the writer to set
	 */
	public final void setWriter(final String writer) {
		this.writer = writer;
	}
}
